form(nz-form, [formGroup]="form", (ngSubmit)="onLogin()")
  nz-form-item
    nz-form-control
      nz-input-group([nzPrefix]="userIcon", nzSize="large")
        input(nz-input, type="text", formControlName="username", placeholder="Username")

  nz-form-item
    nz-form-control
      nz-input-group([nzPrefix]="lockIcon", nzSize="large")
        input(nz-input, type="password", formControlName="password", placeholder="Password")

  nz-form-item
    nz-form-control
      button(nz-button, nzBlock, nzType="primary", nzSize="large", [nzLoading]="loading", [disabled]="form.invalid")
        i(nz-icon, nzType="login")
        | Login

ng-template(#userIcon)
  i(nz-icon, nzType="user")

ng-template(#lockIcon)
  i(nz-icon, nzType="lock")
